
%define plugin	cc
%define name	vdr-plugin-%plugin
%define version	0.0.2
%define rel	13

Summary:	VDR plugin: Closed Caption Plugin for NTSC TV
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://sourceforge.net/projects/ccvdr
Source:		http://prdownloads.sourceforge.net/ccvdr/vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
This is a Closed Caption plugin for VDR. It extracts the USER DATA
from the video stream and filters the closed captionning
information. Then CC data are parsed and its commands interpreted in
order to render the text using the on-screen display provided by
VDR.

%prep
%setup -q -n %{plugin}vdr-%{version}

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)




%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-13mdv2008.1
+ Revision: 145045
- rebuild for new vdr
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-11mdv2008.1
+ Revision: 103071
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-10mdv2008.0
+ Revision: 49977
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-9mdv2008.0
+ Revision: 42064
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-8mdv2008.0
+ Revision: 22721
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-7mdv2007.0
+ Revision: 90899
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-6mdv2007.1
+ Revision: 73963
- rebuild for new vdr
- Import vdr-plugin-cc

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2007.0
- rebuild for new vdr

* Tue Jun 27 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv2007.0
- 0.0.2
- documentation disappeared

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.pre1.20060619.1mdv2007.0
- initial Mandriva release

